- Home
- Operations Guide
- Administer an MKE cluster
- Configure Kubernetes descheduler
- Enable the descheduler
Enable the descheduler#
When the descheduler is enabled, MKE reconciles two resources in the
kube-system namespace:
- A deployment named
ucp-deschedulerthat uses the Mirantis imageucp-deschedulerversion that matches the MKE release. - A ConfigMap named
ucp-descheduler-policythat contains apolicy.yamlkey with aDeschedulerPolicydocument.
To enable the descheduler in MKE, update the cluster configuration and apply the changes.
-
Download the MKE configuration file:
curl --silent --insecure -H "Authorization: Bearer $AUTHTOKEN" \ "https://${MKE_HOST}/api/ucp/config-toml" > mke-config.toml -
Locate the
cluster_config.descheduleroption:[cluster_config.descheduler] enabled = false replicas = 2 extra_flags = []For detailed information on the
cluster_config.deschedulerconfiguration parameter, refer to the configuration options detail. -
Set the
enabledparameter totrue. -
Optional. Set the
replicasparameter to1to run a single replica, which will result in reduced availability during updates. Ifreplicasis not set or is set to0, MKE will use the default value of2. -
Upload the updated MKE configuration file:
curl --silent --insecure -X PUT -H "accept: application/toml" \ -H "Authorization: Bearer $AUTHTOKEN" \ --upload-file mke-config.toml \ "https://${MKE_HOST}/api/ucp/config-toml" -
Wait for cluster reconciliation and Verify the descheduler deployment.